diff --git a/contrib/pageinspect/heapfuncs.c b/contrib/pageinspect/heapfuncs.c
index fe99feb..3f16188 100644
*** a/contrib/pageinspect/heapfuncs.c
--- b/contrib/pageinspect/heapfuncs.c
***************
*** 7,16 ****
   * might cause crashes, but at the same time we try to print out as much
   * information as possible, even if it's nonsense. That's because if a
   * page is corrupt, we don't know why and how exactly it is corrupt, so we
!  * let the user to judge it.
   *
   * These functions are restricted to superusers for the fear of introducing
!  * security holes if the input checking isn't as water-tight as it should.
   * You'd need to be superuser to obtain a raw page image anyway, so
   * there's hardly any use case for using these without superuser-rights
   * anyway.
--- 7,16 ----
   * might cause crashes, but at the same time we try to print out as much
   * information as possible, even if it's nonsense. That's because if a
   * page is corrupt, we don't know why and how exactly it is corrupt, so we
!  * let the user judge it.
   *
   * These functions are restricted to superusers for the fear of introducing
!  * security holes if the input checking isn't as water-tight as it should be.
   * You'd need to be superuser to obtain a raw page image anyway, so
   * there's hardly any use case for using these without superuser-rights
   * anyway.
diff --git a/contrib/pgcrypto/imath.c b/contrib/pgcrypto/imath.c
index 142a49b..4f0dad1 100644
*** a/contrib/pgcrypto/imath.c
--- b/contrib/pgcrypto/imath.c
***************
*** 2,8 ****
  /*
    Name:		imath.c
    Purpose:	Arbitrary precision integer arithmetic routines.
!   Author:	M. J. Fromberger <http://www.dartmouth.edu/~sting/>
    Info:		Id: imath.c 21 2006-04-02 18:58:36Z sting
  
    Copyright (C) 2002 Michael J. Fromberger, All Rights Reserved.
--- 2,8 ----
  /*
    Name:		imath.c
    Purpose:	Arbitrary precision integer arithmetic routines.
!   Author:	M. J. Fromberger <http://spinning-yarns.org/michael/sw/>
    Info:		Id: imath.c 21 2006-04-02 18:58:36Z sting
  
    Copyright (C) 2002 Michael J. Fromberger, All Rights Reserved.
diff --git a/contrib/pgcrypto/imath.h b/contrib/pgcrypto/imath.h
index b65a8a9..e3d2f12 100644
*** a/contrib/pgcrypto/imath.h
--- b/contrib/pgcrypto/imath.h
***************
*** 1,7 ****
  /*
    Name:		imath.h
    Purpose:	Arbitrary precision integer arithmetic routines.
!   Author:	M. J. Fromberger <http://www.dartmouth.edu/~sting/>
    Info:		Id: imath.h 21 2006-04-02 18:58:36Z sting
  
    Copyright (C) 2002 Michael J. Fromberger, All Rights Reserved.
--- 1,7 ----
  /*
    Name:		imath.h
    Purpose:	Arbitrary precision integer arithmetic routines.
!   Author:	M. J. Fromberger <http://spinning-yarns.org/michael/sw/>
    Info:		Id: imath.h 21 2006-04-02 18:58:36Z sting
  
    Copyright (C) 2002 Michael J. Fromberger, All Rights Reserved.
diff --git a/contrib/pgcrypto/sha1.c b/contrib/pgcrypto/sha1.c
index a33e463..23ba3f7 100644
*** a/contrib/pgcrypto/sha1.c
--- b/contrib/pgcrypto/sha1.c
***************
*** 32,38 ****
   */
  /*
   * FIPS pub 180-1: Secure Hash Algorithm (SHA-1)
!  * based on: http://csrc.nist.gov/fips/fip180-1.txt
   * implemented by Jun-ichiro itojun Itoh <itojun@itojun.org>
   */
  
--- 32,38 ----
   */
  /*
   * FIPS pub 180-1: Secure Hash Algorithm (SHA-1)
!  * based on: http://www.itl.nist.gov/fipspubs/fip180-1.htm
   * implemented by Jun-ichiro itojun Itoh <itojun@itojun.org>
   */
  
diff --git a/contrib/pgcrypto/sha1.h b/contrib/pgcrypto/sha1.h
index 1a1d664..5144670 100644
*** a/contrib/pgcrypto/sha1.h
--- b/contrib/pgcrypto/sha1.h
***************
*** 31,37 ****
   */
  /*
   * FIPS pub 180-1: Secure Hash Algorithm (SHA-1)
!  * based on: http://csrc.nist.gov/fips/fip180-1.txt
   * implemented by Jun-ichiro itojun Itoh <itojun@itojun.org>
   */
  
--- 31,37 ----
   */
  /*
   * FIPS pub 180-1: Secure Hash Algorithm (SHA-1)
!  * based on: http://www.itl.nist.gov/fipspubs/fip180-1.htm
   * implemented by Jun-ichiro itojun Itoh <itojun@itojun.org>
   */
  
diff --git a/contrib/pgcrypto/sha2.c b/contrib/pgcrypto/sha2.c
index c936ab8..7ac1dac 100644
*** a/contrib/pgcrypto/sha2.c
--- b/contrib/pgcrypto/sha2.c
***************
*** 98,105 ****
   *
   *	 NOTE:	The naming of R and S appears backwards here (R is a SHIFT and
   *	 S is a ROTATION) because the SHA-256/384/512 description document
!  *	 (see http://csrc.nist.gov/cryptval/shs/sha256-384-512.pdf) uses this
!  *	 same "backwards" definition.
   */
  /* Shift-right (used in SHA-256, SHA-384, and SHA-512): */
  #define R(b,x)		((x) >> (b))
--- 98,105 ----
   *
   *	 NOTE:	The naming of R and S appears backwards here (R is a SHIFT and
   *	 S is a ROTATION) because the SHA-256/384/512 description document
!  *	 (see http://www.iwar.org.uk/comsec/resources/cipher/sha256-384-512.pdf) 
!  *	 uses this same "backwards" definition.
   */
  /* Shift-right (used in SHA-256, SHA-384, and SHA-512): */
  #define R(b,x)		((x) >> (b))
diff --git a/src/include/tsearch/dicts/spell.h b/src/include/tsearch/dicts/spell.h
index 6a021d5..ccb4fa4 100644
*** a/src/include/tsearch/dicts/spell.h
--- b/src/include/tsearch/dicts/spell.h
*************** typedef struct
*** 37,43 ****
  
  /*
   * Names of FF_ are correlated with Hunspell options in affix file
!  * http://sourceforge.net/docman/display_doc.php?docid=29374&group_id=143754
   */
  #define FF_COMPOUNDONLY		0x01
  #define FF_COMPOUNDBEGIN	0x02
--- 37,43 ----
  
  /*
   * Names of FF_ are correlated with Hunspell options in affix file
!  * http://hunspell.sourceforge.net/
   */
  #define FF_COMPOUNDONLY		0x01
  #define FF_COMPOUNDBEGIN	0x02
diff --git a/src/port/dirmod.c b/src/port/dirmod.c
index 8543d4c..1156400 100644
*** a/src/port/dirmod.c
--- b/src/port/dirmod.c
*************** typedef struct
*** 220,226 ****
  /*
   *	pgsymlink - uses Win32 junction points
   *
!  *	For reference:	http://www.codeproject.com/w2k/junctionpoints.asp
   */
  int
  pgsymlink(const char *oldpath, const char *newpath)
--- 220,226 ----
  /*
   *	pgsymlink - uses Win32 junction points
   *
!  *	For reference:	http://www.codeproject.com/KB/winsdk/junctionpoints.aspx
   */
  int
  pgsymlink(const char *oldpath, const char *newpath)